/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.facebook.presto.verifier.checksum;

import com.facebook.presto.sql.tree.SingleColumn;
import com.facebook.presto.verifier.framework.Column;

import java.util.List;

public interface ColumnValidator
{
    List<SingleColumn> generateChecksumColumns(Column column);

    List<ColumnMatchResult> validate(Column column, ChecksumResult controlResult, ChecksumResult testResult);
}
